Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
productpreview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $PriceGroup = 1
| $ShowPrice = true
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"
| $SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $locale = new eZLocale( $Language )
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" )
| $MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" )
| $SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )
| $SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )
| $t
if(isset( $template_array) and isset( $variable_array) and is_array( $template_array) and is_array( $variable_array)) | else
| $product = new eZProduct( $ProductID )
| $pathArray =& $category->path()
| $mainImageID = false
foreach( $pathArray as $path) | $mainImage = $product->mainImage()
| $images = $product->images()
| $i =0
| $image_count = 0
| $options = $product->options()
| $currency = new eZProductCurrency( )
| $currencies =& $currency->getAll()
| $can_checkout = false
| $currency_locale = new eZLocale( $Language )
foreach( $options as $option) | $module_link = new eZModuleLink( "eZTrade", "Product", $product->id() )
| $sections =& $module_link->sections()
foreach( $sections as $section) | $type = $product->type()
if( $product->catalogNumber() !="") | $Quantity = $product->totalQuantity()

## Variable Documentation

## ◆ $can_checkout

$can_checkout = false

Definition at line 263 of file productpreview.php.

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 59 of file productpreview.php.

## ◆ $currencies

$currencies =& $currency->getAll()

Definition at line 249 of file productpreview.php.

## ◆ $currency

$currency = new eZProductCurrency( )

Definition at line 248 of file productpreview.php.

## ◆ $currency_locale

$currency_locale = new eZLocale( $Language )

Definition at line 265 of file productpreview.php.

## ◆ $i

$i =0

Definition at line 201 of file productpreview.php.

## ◆ $image_count

$image_count = 0

Definition at line 204 of file productpreview.php.

## ◆ $images

$images = $product->images()

Definition at line 199 of file productpreview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 45 of file productpreview.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 49 of file productpreview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 57 of file productpreview.php.

## ◆ $mainImage

foreach ($pathArray as $path) $mainImage = $product->mainImage()

Definition at line 167 of file productpreview.php.

## ◆ $MainImageHeight

$MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" )

Definition at line 62 of file productpreview.php.

## ◆ $mainImageID

$mainImageID = false

Definition at line 156 of file productpreview.php.

## ◆ $MainImageWidth

$MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" )

Definition at line 61 of file productpreview.php.

## ◆ $module_link

foreach ($options as $option) $module_link = new eZModuleLink( "eZTrade", "Product", $product->id() )

Definition at line 391 of file productpreview.php.

## ◆ $options

$options = $product->options()

Definition at line 242 of file productpreview.php.

## ◆ $pathArray

$pathArray =& $category->path()

Definition at line 155 of file productpreview.php.

## ◆ $PriceGroup

$PriceGroup = 1

Definition at line 47 of file productpreview.php.

## ◆ $product

$product = new eZProduct( $ProductID )

Definition at line 143 of file productpreview.php.

## ◆ $Quantity

if ($product->catalogNumber() !="") $Quantity = $product->totalQuantity()

Definition at line 491 of file productpreview.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 55 of file productpreview.php.

## ◆ $RequireUserLogin

$RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true"

Definition at line 51 of file productpreview.php.

Referenced by eZArticle\forum().

## ◆ $sections

$sections =& $module_link->sections()

Definition at line 392 of file productpreview.php.

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 54 of file productpreview.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 56 of file productpreview.php.

## ◆ $ShowPrice

$ShowPrice = true

Definition at line 48 of file productpreview.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 50 of file productpreview.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 53 of file productpreview.php.

## ◆ $SimpleOptionHeaders

$SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true"

Definition at line 52 of file productpreview.php.

## ◆ $SmallImageHeight

$SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" )

Definition at line 65 of file productpreview.php.

## ◆ $SmallImageWidth

$SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" )

Definition at line 64 of file productpreview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/". $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "productpreview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: productpreview.php:49
$ini
$ini
Definition: productpreview.php:45

Definition at line 67 of file productpreview.php.

## ◆ $type

foreach ($sections as $section) $type = $product->type()

Definition at line 414 of file productpreview.php.

## ◆ else

if (isset($PrintableVersion) &&$PrintableVersion=="enabled") else

Initial value:
{
$t->set_var( "extra_product_info", "" )
$t
$t
Definition: productpreview.php:67

Definition at line 86 of file productpreview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.